GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Functions
tls_pthread.h File Reference
`#include <grpc/support/log.h>`
`#include <pthread.h>`

Go to the source code of this file.

## Data Structures
struct | gpr_pthread_thread_local

## Macros
#define | GPR_TLS_DECL(name) static struct gpr_pthread_thread_local name = {0}
#define | gpr_tls_init(tls) GPR_ASSERT(0 == pthread_key_create(&(tls)->key, NULL))
#define | gpr_tls_destroy(tls) pthread_key_delete((tls)->key)
#define | gpr_tls_get(tls) ((gpr_intptr)pthread_getspecific((tls)->key))

## Functions
gpr_intptr | gpr_tls_set (struct gpr_pthread_thread_local *tls, gpr_intptr value)

## Macro Definition Documentation

#define GPR_TLS_DECL | ( |  | name | ) | static struct gpr_pthread_thread_local name = {0}

#define gpr_tls_destroy | ( |  | tls | ) | pthread_key_delete((tls)->key)

#define gpr_tls_get | ( |  | tls | ) | ((gpr_intptr)pthread_getspecific((tls)->key))

#define gpr_tls_init | ( |  | tls | ) | GPR_ASSERT(0 == pthread_key_create(&(tls)->key, NULL))

## Function Documentation

gpr_intptr gpr_tls_set | ( | struct gpr_pthread_thread_local * | tls,
|  | gpr_intptr | value
| ) |  |